package com.mofang.travel.marketing.base.utils;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Random;
import java.util.concurrent.atomic.AtomicInteger;

public class GenerateCodeUtil {
    private static AtomicInteger count = new AtomicInteger(0);
    private static String ip;

    /**
     * 获取当前时间戳
     *
     * @return
     */
    public static Integer getTimeStamp() {
        return (int) (System.currentTimeMillis() / 1000);
    }

    /**
     * 根据用户id生成订单编号
     * 时间戳 + 自增序列  + ip最后两位 + 用户id最后一位
     *
     * @return
     */
    public static String getOrderNo(Long userId) {
        int ipLast = 0;
        if (ip == null) {
            InetAddress addr = null;
            try {
                addr = InetAddress.getLocalHost();
                ip = addr.getHostAddress().split("\\.")[3];
                ipLast = Integer.valueOf(ip);
            } catch (UnknownHostException e) {
                ipLast = 0;
            }
        }
        long start = System.currentTimeMillis() % 100000000000L;
        int andIncrement = count.getAndIncrement();
        if (count.get() >= 1000) {
            count = new AtomicInteger(0);

        }
        String orderNo = start + String.format("%03d", andIncrement) + String.format("%03d", ipLast);
        Long lastUserId = userId % 10;
        orderNo = orderNo + lastUserId.toString();
        return orderNo;
    }

    public static String getFiveNumber() {
        Random random = new Random();
        int end = random.nextInt(100000);
        return String.format("%05d", end);
    }
}
