package com.mofang.travel.marketing.domain.enums;

/**
 * 10-工厂检验中 20-运输中 30-库管中 40-待出租 50-已预约 60-出租中 70-特殊下架
 * 80-被扣押 90-已丢失 100-维修中 110-馈电停租 130-已报废 140-换电中 150-调度中
 * 160-待回库 170-回库中 175-待确认回库 180-待检修 190-检修中 195-待寻车 200-寻车中 210-越界停租
 */
public enum BikeStatusEnum {
    WAIT_SELL(40, "待租中"),
    WAIT_REPAIR(180, "待检修"),
    APPOINTMENT(50, "已预约"),
    LEASE(60, "出租中");

    BikeStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private Integer code;
    private String desc;

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static BikeStatusEnum getEnum(Integer code) {
        for (BikeStatusEnum scene : BikeStatusEnum.values()) {
            if (scene.getCode() == code.intValue()) {
                return scene;
            }
        }
        return null;
    }
}
